hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tsuyoshi Ozawa (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (HADOOP-10101) Update guava dependency to the latest version
Date Thu, 16 Mar 2017 02:12:42 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-10101?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15927331#comment-15927331
] 

Tsuyoshi Ozawa edited comment on HADOOP-10101 at 3/16/17 2:11 AM:
------------------------------------------------------------------

After working to update Curator for a while, I found that Curator 3.x only supports ZooKeeper
3.5.x. On HADOOP-14187, avoiding the drastic change(YARN-3774) now, I would like to suggest
updating ZooKeeper dependency to 3.4.9 and Curator dependency to 2.12.0, which supports ZooKeeper
3.4.x. It's because our current focus here is to update Guava - the blocker of this issue
is to introduce Curator which includes shaded Guava. 

I tested with v13 patch on HADOOP-14187 on my local:

{code}
mvn install test -Dtest=TestZKDelegationTokenSecretManager,TestChildReaper,TestKDiag,TestDelegationTokenRenewer,TestSubmitApplicationWithRMHA,TestLeaderElectorService,TestRMHAForNodeLabels,TestZKRMStateStorePerf,TestKillApplicationWithRMHA,TestRMStoreCommands,TestZKRMStateStore,TestRMRestart,TestZKRMStateStoreZKClientConnections,TestReservationSystemWithRMHA
{code}

All test passes on my local basically. Flaky tests sometimes fail, but they're not ZK-related.
The reason seems to be YARN-5548.


was (Author: ozawa):
After working to update Curator for a while, I found that Curator 3.x only supports ZooKeeper
3.5.x. On HADOOP-14187, avoiding the drastic change(YARN-3774) now, I would like to suggest
updating ZooKeeper dependency to 3.4.9 and Curator dependency to 2.12.0, which supports ZooKeeper
3.4.x. It's because our current focus here is to update Guava - the blocker of this issue
is to introduce Curator which includes shaded Guava. 

I tested with v13 patch on HADOOP-14187 on my local:

{code}
mvn install test -Dtest=TestZKDelegationTokenSecretManager,TestChildReaper,TestKDiag,TestDelegationTokenRenewer,TestSubmitApplicationWithRMHA,TestLeaderElectorService,TestRMHAForNodeLabels,TestZKRMStateStorePerf,TestKillApplicationWithRMHA,TestRMStoreCommands,TestZKRMStateStore,TestRMRestart,TestZKRMStateStoreZKClientConnections,TestReservationSystemWithRMHA
{code}

All test passes on my local basically, but not ZK-related. The reason seems to be YARN-5548.

> Update guava dependency to the latest version
> ---------------------------------------------
>
>                 Key: HADOOP-10101
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10101
>             Project: Hadoop Common
>          Issue Type: Improvement
>    Affects Versions: 3.0.0-alpha2
>            Reporter: Rakesh R
>            Assignee: Tsuyoshi Ozawa
>              Labels: BB2015-05-TBR
>         Attachments: HADOOP-10101-002.patch, HADOOP-10101-004.patch, HADOOP-10101-005.patch,
HADOOP-10101-006.patch, HADOOP-10101-007.patch, HADOOP-10101-008.patch, HADOOP-10101-009.patch,
HADOOP-10101-009.patch, HADOOP-10101-010.patch, HADOOP-10101-010.patch, HADOOP-10101-011.patch,
HADOOP-10101.012.patch, HADOOP-10101.013.patch, HADOOP-10101.patch, HADOOP-10101.patch
>
>
> The existing guava version is 11.0.2 which is quite old. This 



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message